View Issue Details

IDProjectCategoryView StatusLast Update
0030953Open CASCADEOCCT:Data Exchangepublic2022-05-26 12:01
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0030953: Data Exchange - implement export of mesh data into glTF 2.0 format
DescriptionIt is desired providing a writer of mesh data into glTF 2.0 format.
TagsNo tags attached.
Test case numberv3d/glsl/pbr_spheres

Relationships

parent of 0031618 closedbugmaster Community Data Exchange, RWGltf_CafWriter - exporting some models produces glTF files not passing validation 
parent of 0031816 closedbugmaster Open CASCADE Data Exchange - RWMesh_MaterialMap::CopyTexture() copies glb file instead of a texture inside it 
parent of 0032107 closedsmoskvin Open CASCADE Data Exchange, RWGltf_CafReader - reading glTF document back loses sharing 
parent of 0032503 closedbugmaster Open CASCADE Draw Harness - make input CS orientation configurable within WriteGltf command 
parent of 0032585 closedsmoskvin Open CASCADE Data Exchange, RWGltf_CafWriter - include OCCT version 
parent of 0032989 verifiedkgv Open CASCADE Data Exchange, RWGltf_CafReader - fill in metadata map from asset.extras 
has duplicate 0031703 closedbugmaster Open CASCADE Data Exchange, RWGltf_CafWriter - add option putting textures inside GLB file as alternative to external references 
related to 0030691 closedbugmaster Open CASCADE Data Exchange - implement import of mesh data from files in glTF format 

Activities

git

2019-11-19 02:58

administrator   ~0089062

Branch CR30953 has been created by kgv.

SHA-1: be3c840de06db7ffa326c0b091ed9f25259a6b51


Detailed log of new commits:

Author: kgv
Date: Tue Nov 19 02:09:09 2019 +0300

    0030953: Data Exchange - implement export of mesh data into glTF 2.0 format
    
    Added new class RWGltf_CafWriter for exporting XCAF document into glTF file
    as well as Draw Harness command WriteGltf.
    
    Added auxiliary method OSD_Path::FileNameAndExtension() splitting file name into Name and Extension.

git

2019-11-19 12:55

administrator   ~0089068

Branch CR30953_1 has been created by kgv.

SHA-1: 4b44b80fd89a52bf1f82ba2748e10c752a3c9731


Detailed log of new commits:

Author: kgv
Date: Tue Nov 19 02:09:09 2019 +0300

    0030953: Data Exchange - implement export of mesh data into glTF 2.0 format
    
    Added new class RWGltf_CafWriter for exporting XCAF document into glTF file
    as well as Draw Harness command WriteGltf.
    
    Added auxiliary method OSD_Path::FileNameAndExtension() splitting file name into Name and Extension.

git

2019-11-19 13:04

administrator   ~0089069

Branch CR30953_1 has been updated forcibly by kgv.

SHA-1: 0bca934ea740fc83e32cad1d290bce08126ceecc

git

2019-11-19 14:08

administrator   ~0089070

Branch CR30953_1 has been updated forcibly by kgv.

SHA-1: 690e5716fc8176aca5bacb3d0373eaeca5e31301

git

2019-11-19 16:58

administrator   ~0089074

Branch CR30953_1 has been updated forcibly by kgv.

SHA-1: 516548ae67936e68730051c2ca2cc6766e45bed0

git

2019-11-19 17:21

administrator   ~0089076

Branch CR30953_1 has been updated forcibly by kgv.

SHA-1: 09d63b6ba80af949fbe56b728ea2e1c7b0b74cff

kgv

2019-11-19 20:41

developer   ~0089088

Patch is ready for review.

gka

2019-11-21 15:06

developer   ~0089129

Branch CR30953_1 was reviewed

git

2019-11-22 11:15

administrator   ~0089145

Branch CR30953_1 has been updated by kgv.

SHA-1: 422c6d69eb48c9d145bd9bd28bfc7fd329cdd37d


Detailed log of new commits:

Author: kgv
Date: Fri Nov 22 11:13:22 2019 +0300

    # compatibility with old non-C++11 compilers

git

2019-11-24 11:34

administrator   ~0089170

Branch CR30953_1 has been deleted by inv.

SHA-1: 422c6d69eb48c9d145bd9bd28bfc7fd329cdd37d

git

2019-11-24 11:35

administrator   ~0089178

Branch CR30953 has been deleted by inv.

SHA-1: be3c840de06db7ffa326c0b091ed9f25259a6b51

Related Changesets

occt: master 01b2f506

2019-11-18 23:09:09

kgv


Committer: bugmaster Details Diff
0030953: Data Exchange - implement export of mesh data into glTF 2.0 format

Added new class RWGltf_CafWriter for exporting XCAF document into glTF file
as well as Draw Harness command WriteGltf.

Added auxiliary method OSD_Path::FileNameAndExtension() splitting file name into Name and Extension.
Affected Issues
0030953
mod - src/OSD/OSD_Path.cxx Diff File
mod - src/OSD/OSD_Path.hxx Diff File
mod - src/RWGltf/FILES Diff File
add - src/RWGltf/RWGltf_CafWriter.cxx Diff File
add - src/RWGltf/RWGltf_CafWriter.hxx Diff File
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff File
add - src/RWGltf/RWGltf_GltfMaterialMap.cxx Diff File
add - src/RWGltf/RWGltf_GltfMaterialMap.hxx Diff File
add - src/RWGltf/RWGltf_GltfOStreamWriter.hxx Diff File
add - src/RWGltf/RWGltf_GltfSceneNodeMap.hxx Diff File
add - src/RWGltf/RWGltf_WriterTrsfFormat.hxx Diff File
mod - src/RWMesh/FILES Diff File
add - src/RWMesh/RWMesh_FaceIterator.cxx Diff File
add - src/RWMesh/RWMesh_FaceIterator.hxx Diff File
add - src/RWMesh/RWMesh_MaterialMap.cxx Diff File
add - src/RWMesh/RWMesh_MaterialMap.hxx Diff File
mod - src/TKXSDRAW/EXTERNLIB Diff File
mod - src/XCAFPrs/XCAFPrs_DocumentNode.hxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff File
mod - tests/de_mesh/end Diff File
add - tests/de_mesh/gltf_write/ball Diff File
add - tests/de_mesh/gltf_write/begin Diff File
add - tests/de_mesh/gltf_write/end Diff File
add - tests/de_mesh/gltf_write/helmet Diff File
mod - tests/de_mesh/grids.list Diff File
mod - tests/v3d/glsl/pbr_spheres Diff File

Issue History

Date Modified Username Field Change
2019-09-06 12:22 kgv New Issue
2019-09-06 12:22 kgv Assigned To => kgv
2019-09-06 12:22 kgv Relationship added related to 0030691
2019-09-06 12:23 kgv Severity minor => feature
2019-11-19 02:58 git Note Added: 0089062
2019-11-19 12:55 git Note Added: 0089068
2019-11-19 13:04 git Note Added: 0089069
2019-11-19 14:08 git Note Added: 0089070
2019-11-19 16:58 git Note Added: 0089074
2019-11-19 17:21 git Note Added: 0089076
2019-11-19 20:41 kgv Note Added: 0089088
2019-11-19 20:41 kgv Assigned To kgv => gka
2019-11-19 20:41 kgv Status new => resolved
2019-11-21 15:06 gka Note Added: 0089129
2019-11-21 15:06 gka Assigned To gka => bugmaster
2019-11-21 15:06 gka Status resolved => reviewed
2019-11-21 17:47 bugmaster Test case number => v3d/glsl/pbr_spheres
2019-11-22 11:15 git Note Added: 0089145
2019-11-24 11:21 bugmaster Changeset attached => occt master 01b2f506
2019-11-24 11:21 bugmaster Status reviewed => verified
2019-11-24 11:21 bugmaster Resolution open => fixed
2019-11-24 11:34 git Note Added: 0089170
2019-11-24 11:35 git Note Added: 0089178
2020-06-18 18:16 kgv Relationship added parent of 0031618
2020-08-10 16:22 kgv Relationship added has duplicate 0031703
2020-10-01 15:09 kgv Relationship added parent of 0031816
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
2021-02-02 10:54 kgv Relationship added parent of 0032107
2021-07-30 16:22 kgv Relationship added parent of 0032503
2021-09-23 23:53 kgv Relationship added parent of 0032585
2022-05-26 12:01 kgv Relationship added parent of 0032989